rte_flow_query_age(3)

NAME
rte_flow_query_age

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t reserved:6
uint32_t aged:1
uint32_t sec_since_last_hit_valid:1
uint32_t sec_since_last_hit:24

Detailed Description

RTE_FLOW_ACTION_TYPE_AGE (query)

Query structure to retrieve the aging status information of a shared AGE action, or a flow rule using the AGE action.

Definition at line 3398 of file rte_flow.h.

Field Documentation

  uint32_t reserved
Reserved, must be zero.

Definition at line 3399 of file rte_flow.h.

  uint32_t aged
1 if aging timeout expired, 0 otherwise.

Definition at line 3400 of file rte_flow.h.

  uint32_t sec_since_last_hit_valid
sec_since_last_hit value is valid.

Definition at line 3402 of file rte_flow.h.

  uint32_t sec_since_last_hit
Seconds since last traffic hit.

Definition at line 3403 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.